%global framework attica
%if 0%{?flatpak}
%global docs 0
%endif

Summary: KDE Frameworks Tier 1 Addon with Open Collaboration Services API
Name:   kf5-attica
Version: 5.110.0
Release: 1%{?dist}

License: LGPLv2+
URL:     https://invent.kde.org/frameworks/%{framework}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{version}, kf5-rpm-macros >= %{version}, qt5-qtbase-devel

Requires: kf5-filesystem >= %{majmin}

%description
Attica is a Qt library that implements the Open Collaboration Services
API version 1.4.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: qt5-qtbase-devel
%description devel
%{summary}.

%if 0%{?docs}
%package doc
Summary: API documentation for %{name}
BuildRequires: doxygen
BuildRequires: qt5-qdoc, qt5-qhelpgenerator, qt5-qtbase-doc
Requires: kf5-filesystem
BuildArch: noarch
%description doc
%{summary}.
%endif


%prep
%autosetup -n %{framework}-%{version}


%build
%cmake_kf5 \
  %if 0%{?flatpak}
  %{?docs:-DBUILD_QCH:BOOL=OFF} \
  %else
  %{?docs:-DBUILD_QCH:BOOL=ON} \
  %endif

%cmake_build


%install
%cmake_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSES/*.txt
%doc AUTHORS ChangeLog README.md
%{_kf5_libdir}/libKF5Attica.so.*
%{_kf5_datadir}/qlogging-categories5/%{framework}.*

%files devel
%{_kf5_includedir}/Attica/
%{_kf5_libdir}/cmake/KF5Attica/
%{_kf5_libdir}/libKF5Attica.so
%{_kf5_libdir}/pkgconfig/libKF5Attica.pc
%{_kf5_archdatadir}/mkspecs/modules/qt_Attica.pri

%if 0%{?docs}
%{_qt5_docdir}/KF5Attica.qch
%{_qt5_docdir}/KF5Attica.tags
%endif


%changelog
* Sat Nov 18 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
